package com.gyee.frame.mapper.auto;

import com.gyee.frame.model.auto.Userauthority;
import com.gyee.frame.model.auto.UserauthorityExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 *  UserauthorityMapper
 * @author gyee_自动生成
 * @email 1@qq.com
 * @date 2020-03-30 10:51:16
 */
public interface UserauthorityMapper {
      	      	      	      
    long countByExample(UserauthorityExample example);

    int deleteByExample(UserauthorityExample example);
		
    int insert(Userauthority record);

    int insertSelective(Userauthority record);

    List<Userauthority> selectByExample(UserauthorityExample example);
		
    int updateByExampleSelective(@Param("record") Userauthority record, @Param("example") UserauthorityExample example);

    int updateByExample(@Param("record") Userauthority record, @Param("example") UserauthorityExample example); 
	  	
}